Proposed external dep: PolicyKit

I would like to propose PolicyKit[1] as an external dep for 2.26 - it's
mostly API stable[2], and is now being used as an optional dep in many
modules in gnome svn and HAL.

I would like to depend on it for gnome-power-manager, and I hate all the
#ifdefs. Does anybody have any problems with PolicyKit being an external
dependency in 2.26?

>From a user point-of-view PolicyKit rocks. It would be great if more
GNOME software could be comfortable using it upstream rather than being
patched by distros.




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]